Could not find com.android.tools.build:gradle:3.0.0-alpha3

2017年06月20日 19:20:27

最近使用Android Studio 3.0 canary 3 时新建项目遇到标题所示错误,后网上找到解决办法。记录如下:
在项目的build.gradle文件中添加如下内容即可解决。

repositories {
        jcenter()
        maven {
            url 'https://maven.google.com'
        }
    }

原文章链接

https://stackoverflow.com/questions/44071080/could-not-find-com-android-tools-buildgradle3-0-0-alpha1-in-circle-ci

后面studio 升级canary 4后,新建项目时,项目的build.gradle文件已经变成下面这样了,也不会再发生上述问题了。

buildscript {

    repositories {
        google()
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.0.0-alpha4'     

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        google()
        jcenter()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}

Could not find com.android.tools.build:gradle:3.0.0.

android studio升级3.0,gradle升级4.1以后项目报错,如下 Could not resolve all files for configuration ‘:classpath...
  • zhouxianling233
  • zhouxianling233
  • 2017-10-26 21:53:50
  • 14864

关于使用com.android.tools.build:gradle:3.0.0-beta2 报错implementation()

buildscript { repositories { ... //需要添加 google() } depe...
  • dazhaoDai
  • dazhaoDai
  • 2017-09-12 21:07:39
  • 2112

更新Android Studio版本出现Could not find com.android.tools.build:gradle:2.2.3

如题,因为前阵子google更新了studio版本,像我这种喜欢作的人懒了一段时间还是去更新了,(其实是因为项目打包出来的apk太大了,刚好studio2.3版本支持转换WebP我不得已才更新=。=)...
  • u012911704
  • u012911704
  • 2017-03-16 22:56:50
  • 17317

Gradle sync failed: Could not find com.android.tools.build:gradle:2.2.3

使用Android studio导入工程后,gradle编译时遇到如下错误: Gradle sync failed: Could not find com.android.tools.build:...
  • fengxingzhe001
  • fengxingzhe001
  • 2017-03-27 16:34:01
  • 4114

Gradle sync failed: Could not find com.android.tools.build:gradle

Android Studio导入工程,gradle一直报错,具体报错信息: Gradle sync failed: Could not find com.android.tools.build:gr...
  • wenqiang0718
  • wenqiang0718
  • 2016-04-28 15:26:52
  • 17975

Android Studio Error:Could not find com.android.tools.build:gradle

今天更新Android Studio后打开Project,报如下错误: Error:Could not find com.android.tools.build:gradle:2.2.1. Sea...
  • chy555chy
  • chy555chy
  • 2016-10-11 17:05:24
  • 20815

关于gradle版本问题导致的一系列奇葩问题探讨!

相信网友们遇到了各种奇葩的问题,现在应该都解决了把,因为现在的版本没出现这种问题了,应该都修复了。 时间往前推1个月,问题可是n多啊,什么插件太老,用了最新的又出现另外一个问题,结果我一个一个版本的g...
  • u010042660
  • u010042660
  • 2016-03-27 01:05:34
  • 13314

Android Studio 中遇到的Gradle build插件版本太低的问题:Plugin is too old

先说自己的解决办法: 一、先看看自己的gradle插件版本,项目的build.gradle中gradle:后面为版本号,例: classpath 'com.android.tools.build:gr...
  • longyin88
  • longyin88
  • 2016-03-04 10:02:20
  • 27005

Android Studio下项目编译出错could not find com.android.tools.buildgradle:2.2.2

今天更新Android Studio后打开Project,报如下错误: Error:Could not find com.android.tools.build:gradle:2.2.2. Sea...
  • z1035075390
  • z1035075390
  • 2017-04-13 10:41:19
  • 10689

android studio 3.0 preview 解决Gradle: Configure Project or Gradle: Resolve Dependencies ':classpath

2017年Google开发者大会,google宣布kotlin成为android开发的主要语言 android studio 3.0 preview提供了kotlin的支持,其他版本安装pl...
  • LXX_Believe
  • LXX_Believe
  • 2017-05-20 10:58:48
  • 4926
收藏助手
不良信息举报
您举报文章:Could not find com.android.tools.build:gradle:3.0.0-alpha3
举报原因:
原因补充:

(最多只允许输入30个字)